org.apache.cassandra.db

## Class NativeDecoratedKey

- java.lang.Object
- - org.apache.cassandra.db.DecoratedKey
  - - org.apache.cassandra.db.NativeDecoratedKey

All Implemented Interfaces:
  java.lang.Comparable<PartitionPosition>, PartitionPosition, RingPosition<PartitionPosition>, IFilter.FilterKey

    public class NativeDecoratedKey
    extends DecoratedKey

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.cassandra.db.PartitionPosition

`PartitionPosition.ForKey, PartitionPosition.Kind, PartitionPosition.RowPositionSerializer`

### Field Summary

### Fields inherited from class org.apache.cassandra.db.DecoratedKey

`comparator`

### Fields inherited from interface org.apache.cassandra.db.PartitionPosition

`serializer`

### Constructor Summary

Constructors
Constructor and Description
`NativeDecoratedKey(Token token, NativeAllocator allocator, OpOrder.Group writeOp, java.nio.ByteBuffer key)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.nio.ByteBuffer` `getKey()`

### Methods inherited from class org.apache.cassandra.db.DecoratedKey

`compareTo, compareTo, equals, filterHash, getPartitioner, getToken, hashCode, isMinimum, kind, minValue, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### NativeDecoratedKey

    public NativeDecoratedKey(Token token,
                              NativeAllocator allocator,
                              OpOrder.Group writeOp,
                              java.nio.ByteBuffer key)

### Method Detail

#### getKey

    public java.nio.ByteBuffer getKey()

Specified by:
  `getKey` in class `DecoratedKey`